devel/p5-Contextual-Return - The NetBSD Packages Collection

Perl 5 module to create context-senstive return values

The Perl 5 module Contextual::Return provides a collection of named
blocks that allow a return statement to return different values
depending on the context in which it's called.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

devel/p5-Want lang/perl5 lang/perl5

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfp5-Contextual-Return-0.004.014nb5.tgz
NetBSD 8.0earmv7hfp5-Contextual-Return-0.004.014nb4.tgz
NetBSD 8.0earmv7hfp5-Contextual-Return-0.004.014nb5.tgz
NetBSD 8.0i386p5-Contextual-Return-0.004.014nb4.tgz
NetBSD 8.0i386p5-Contextual-Return-0.004.014nb5.tgz
NetBSD 8.0powerpcp5-Contextual-Return-0.004.014nb4.tgz
NetBSD 8.0powerpcp5-Contextual-Return-0.004.014nb5.tgz
NetBSD 8.0powerpcp5-Contextual-Return-0.004.014nb5.tgz
NetBSD 8.0powerpcp5-Contextual-Return-0.004.014nb5.tgz
NetBSD 8.0x86_64p5-Contextual-Return-0.004.014nb4.tgz
NetBSD 8.0x86_64p5-Contextual-Return-0.004.014nb5.tgz
NetBSD 9.0aarch64p5-Contextual-Return-0.004.014nb5.tgz
NetBSD 9.0aarch64p5-Contextual-Return-0.004.014nb4.tgz
NetBSD 9.0aarch64p5-Contextual-Return-0.004.014nb5.tgz
NetBSD 9.0alphap5-Contextual-Return-0.004.014nb5.tgz
NetBSD 9.0alphap5-Contextual-Return-0.004.014nb4.tgz
NetBSD 9.0alphap5-Contextual-Return-0.004.014nb5.tgz
NetBSD 9.0earmp5-Contextual-Return-0.004.014nb4.tgz
NetBSD 9.0earmp5-Contextual-Return-0.004.014nb5.tgz
NetBSD 9.0earmp5-Contextual-Return-0.004.014nb5.tgz
NetBSD 9.0earmv6hfp5-Contextual-Return-0.004.014nb5.tgz
NetBSD 9.0earmv6hfp5-Contextual-Return-0.004.014nb4.tgz
NetBSD 9.0earmv6hfp5-Contextual-Return-0.004.014nb5.tgz
NetBSD 9.0earmv7hfp5-Contextual-Return-0.004.014nb5.tgz
NetBSD 9.0earmv7hfp5-Contextual-Return-0.004.014nb4.tgz
NetBSD 9.0earmv7hfp5-Contextual-Return-0.004.014nb5.tgz
NetBSD 9.0earmv7hfp5-Contextual-Return-0.004.014nb5.tgz
NetBSD 9.0i386p5-Contextual-Return-0.004.014nb4.tgz
NetBSD 9.0i386p5-Contextual-Return-0.004.014nb5.tgz
NetBSD 9.0i386p5-Contextual-Return-0.004.014nb5.tgz
NetBSD 9.0mips64ebp5-Contextual-Return-0.004.014nb5.tgz
NetBSD 9.0mips64ebp5-Contextual-Return-0.004.014nb4.tgz
NetBSD 9.0mips64ebp5-Contextual-Return-0.004.014nb4.tgz
NetBSD 9.0mips64ebp5-Contextual-Return-0.004.014nb4.tgz
NetBSD 9.0mips64ebp5-Contextual-Return-0.004.014nb5.tgz
NetBSD 9.0mipselp5-Contextual-Return-0.004.014nb4.tgz
NetBSD 9.0mipselp5-Contextual-Return-0.004.014nb4.tgz
NetBSD 9.0powerpcp5-Contextual-Return-0.004.014nb5.tgz
NetBSD 9.0powerpcp5-Contextual-Return-0.004.014nb4.tgz
NetBSD 9.0powerpcp5-Contextual-Return-0.004.014nb5.tgz
NetBSD 9.0powerpcp5-Contextual-Return-0.004.014nb5.tgz
NetBSD 9.0sh3elp5-Contextual-Return-0.004.014nb5.tgz
NetBSD 9.0sh3elp5-Contextual-Return-0.004.014nb4.tgz
NetBSD 9.0sh3elp5-Contextual-Return-0.004.014nb4.tgz
NetBSD 9.0sh3elp5-Contextual-Return-0.004.014nb5.tgz
NetBSD 9.0sparc64p5-Contextual-Return-0.004.014nb5.tgz
NetBSD 9.0sparc64p5-Contextual-Return-0.004.014nb4.tgz
NetBSD 9.0sparc64p5-Contextual-Return-0.004.014nb5.tgz
NetBSD 9.0sparcp5-Contextual-Return-0.004.014nb5.tgz
NetBSD 9.0sparcp5-Contextual-Return-0.004.014nb4.tgz
NetBSD 9.0sparcp5-Contextual-Return-0.004.014nb4.tgz
NetBSD 9.0sparcp5-Contextual-Return-0.004.014nb4.tgz
NetBSD 9.0sparcp5-Contextual-Return-0.004.014nb5.tgz
NetBSD 9.0vaxp5-Contextual-Return-0.004.014nb4.tgz
NetBSD 9.0vaxp5-Contextual-Return-0.004.014nb4.tgz
NetBSD 9.0vaxp5-Contextual-Return-0.004.014nb5.tgz
NetBSD 9.0vaxp5-Contextual-Return-0.004.014nb5.tgz
NetBSD 9.0x86_64p5-Contextual-Return-0.004.014nb5.tgz
NetBSD 9.0x86_64p5-Contextual-Return-0.004.014nb5.tgz
NetBSD 9.0x86_64p5-Contextual-Return-0.004.014nb4.tgz
NetBSD 9.0x86_64p5-Contextual-Return-0.004.014nb5.tgz
NetBSD 9.0x86_64p5-Contextual-Return-0.004.014nb5.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.